# DaprClientBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client

## Class DaprClientBuilder

- java.lang.Object
- - io.dapr.client.DaprClientBuilder

    public class DaprClientBuilder
    extends Object

A builder for the DaprClient, Currently only gRPC and HTTP Client will be supported.

### Constructor Summary

Constructors
`DaprClientBuilder()` Creates a constructor for DaprClient.

### Method Summary

All Methods Instance Methods Concrete Methods
`DaprClient` `build()` Build an instance of the Client based on the provided setup.
`DaprPreviewClient` `buildPreviewClient()` Build an instance of the Client based on the provided setup.
`DaprClientBuilder` `withObjectSerializer​(DaprObjectSerializer objectSerializer)` Sets the serializer for objects to be sent and received from Dapr.
`DaprClientBuilder` `withResiliencyOptions​(ResiliencyOptions options)` Sets the resiliency options for DaprClient.
`DaprClientBuilder` `withStateSerializer​(DaprObjectSerializer stateSerializer)` Sets the serializer for objects to be persisted.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DaprClientBuilder

    public DaprClientBuilder()

Creates a constructor for DaprClient. `DefaultObjectSerializer` is used for object and state serializers by default but is not recommended for production scenarios.

### Method Detail

#### withObjectSerializer

    public DaprClientBuilder withObjectSerializer​(DaprObjectSerializer objectSerializer)

Sets the serializer for objects to be sent and received from Dapr. See `DefaultObjectSerializer` as possible serializer for non-production scenarios.

Parameters:
  `objectSerializer` - Serializer for objects to be sent and received from Dapr.
Returns:
  This instance.

#### withStateSerializer

    public DaprClientBuilder withStateSerializer​(DaprObjectSerializer stateSerializer)

Sets the serializer for objects to be persisted. See `DefaultObjectSerializer` as possible serializer for non-production scenarios.

Parameters:
  `stateSerializer` - Serializer for objects to be persisted.
Returns:
  This instance.

#### withResiliencyOptions

    public DaprClientBuilder withResiliencyOptions​(ResiliencyOptions options)

Sets the resiliency options for DaprClient.

Parameters:
  `options` - Serializer for objects to be persisted.
Returns:
  This instance.

#### build

    public DaprClient build()

Build an instance of the Client based on the provided setup.

Returns:
  an instance of the setup Client
Throws:
  `IllegalStateException` - if any required field is missing

#### buildPreviewClient

    public DaprPreviewClient buildPreviewClient()

Build an instance of the Client based on the provided setup.

Returns:
  an instance of the setup Client
Throws:
  `IllegalStateException` - if any required field is missing